#version 330 core
in vec2 uv;
//in vec3 pos;
in vec3 normal;
in vec3 lightDir;

uniform vec3 levelColor;
out vec4 color;

void main()
{
    float cos = clamp(dot(normal,lightDir),0.2,1);
    //Intensity of light is 1...
    color = vec4(levelColor*cos,1);
}
