#version 330 core

// Input vertex data, different for all executions of this shader.
in vec3 vertexPosition_modelspace;

// Output data ; will be interpolated for each fragment.
out vec2 uv;

uniform vec2 screenSize;

void main(){

        // Output position of the vertex, in clip space
        gl_Position =  vec4(vertexPosition_modelspace,1);
	
	// UV of the vertex. No special space for this one.
        uv = (vertexPosition_modelspace.xy+vec2(1,1))/2.0f;
}

